Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.dom
Class PostfixExpression.Operator

    java.lang.Object
      org.eclipse.jdt.core.dom.PostfixExpression.Operator

Enclosing class:
  PostfixExpression

public static class PostfixExpression.Operator
extends Object

Postfix operators (typesafe enumeration).

     PostfixOperator:
        ++  INCREMENT
        --  DECREMENT

Field Summary
`static PostfixExpression.Operator` | `DECREMENT` Postfix decrement "--" operator.
`static PostfixExpression.Operator` | `INCREMENT` Postfix increment "++" operator.

Method Summary
`static PostfixExpression.Operator` | `toOperator(String token)` Returns the postfix operator corresponding to the given string, or `null` if none.
`String` | `toString()` Returns the character sequence for the operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INCREMENT

    public static final PostfixExpression.Operator INCREMENT

  Postfix increment "++" operator.

### DECREMENT

    public static final PostfixExpression.Operator DECREMENT

  Postfix decrement "--" operator.

Method Detail

### toString

    public String toString()

  Returns the character sequence for the operator.

  Returns:
    the character sequence for the operator

### toOperator

    public static PostfixExpression.Operator toOperator(String token)

  Returns the postfix operator corresponding to the given string, or `null` if none.

  `toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

  Parameters:
    `token` - the character sequence for the operator
  Returns:
    the postfix operator, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.